var index =
[
    [ "Getting Started: SimGrid Main Concepts", "getting_started.html", [
      [ "Typical Study based on SimGrid", "getting_started.html#starting_components", null ],
      [ "SimGrid Execution Gears", "getting_started.html#starting_gears", null ],
      [ "SimGrid Success Stories", "getting_started.html#starting_successes", null ],
      [ "SimGrid Limits", "getting_started.html#starting_limits", null ],
      [ "Where to proceed next?", "getting_started.html#starting_next", null ]
    ] ],
    [ "Installing Simgrid", "install.html", [
      [ "Pre-compiled Packages", "install.html#install_binary", [
        [ "Binaries for Linux", "install.html#install_binary_linux", null ],
        [ "Stable Java Package", "install.html#install_binary_java", null ],
        [ "Nightly built Java Package", "install.html#install_binary_java_builder", null ],
        [ "Binary Java Troubleshooting", "install.html#install_binary_java_troubleshooting", null ]
      ] ],
      [ "Source Installs", "install.html#install_src", [
        [ "Getting the Dependencies", "install.html#install_src_deps", null ],
        [ "Getting the Sources", "install.html#install_src_fetch", null ],
        [ "Build Configuration", "install.html#install_src_config", [
          [ "Compilation Options", "install.html#install_cmake_howto", null ],
          [ "SimGrid compilation options", "install.html#install_cmake_list", null ],
          [ "Reset the build configuration", "install.html#install_cmake_reset", null ],
          [ "Out of Tree Compilation", "install.html#install_cmake_outsrc", null ],
          [ "Mac OS X Builds", "install.html#install_cmake_mac", null ],
          [ "Windows Builds", "install.html#install_cmake_windows", null ],
          [ "Build the Java bindings", "install.html#install_java", null ],
          [ "32 bits Builds on Multi-arch Linux", "install.html#install_src_32bits", null ]
        ] ],
        [ "Existing Compilation Targets", "install.html#install_src_compil", null ],
        [ "Testing your build", "install.html#install_src_test", null ]
      ] ]
    ] ],
    [ "Setup your own project", "install_yours.html", [
      [ "Building your project with CMake", "install_yours.html#install_yours_cmake", null ],
      [ "Building your project with Makefile", "install_yours.html#install_yours_makefile", null ],
      [ "Building the Java examples in Eclipse", "install_yours.html#install_yours_javaexamples", null ],
      [ "Troubleshooting your project setup", "install_yours.html#install_yours_trouble", [
        [ "Many undefined references", "install_yours.html#install_yours_trouble_libpath", null ],
        [ "Only a few undefined references", "install_yours.html#install_yours_trouble_oldlib", null ]
      ] ]
    ] ],
    [ "Describing your application", "application.html", null ],
    [ "Java Bindings", "MSG_Java.html", [
      [ "How to install the Java bindings", "MSG_Java.html#java_install", null ],
      [ "How to use the Java bindings", "MSG_Java.html#java_use", [
        [ "Troubleshooting", "MSG_Java.html#java_use_trouble", null ]
      ] ],
      [ "Java bindings on Steroids", "MSG_Java.html#java_coroutines", [
        [ "Getting a mlvm JVM", "MSG_Java.html#bindings_java_coro_install", null ],
        [ "Using coroutine contexts", "MSG_Java.html#bindings_java_coro_use", null ]
      ] ]
    ] ],
    [ "Describing the virtual platform", "platform.html", [
      [ "Some words about XML and DTD", "platform.html#pf_overview", null ],
      [ "Defining a netzone", "platform.html#pf_netzones", null ],
      [ "Resource description", "platform.html#pf_pftags", [
        [ "Platform: The <AS> tag", "platform.html#pf_As", null ],
        [ "Computing resources: hosts, clusters and peers.", "platform.html#pf_Cr", [
          [ "<host/>", "platform.html#pf_host", null ],
          [ "<cluster>", "platform.html#pf_cluster", null ],
          [ "<cabinet>", "platform.html#pf_cabinet", null ],
          [ "The <peer> tag", "platform.html#pf_peer", null ]
        ] ],
        [ "Network equipments: links and routers", "platform.html#pf_ne", [
          [ "<router/>", "platform.html#pf_router", null ],
          [ "<link/>", "platform.html#pf_link", null ],
          [ "<backbone/>", "platform.html#pf_backbone", null ]
        ] ],
        [ "Storage", "platform.html#pf_storage", [
          [ "Storage - Main Concepts", "platform.html#pf_sto_conc", null ],
          [ "The Storage Entities", "platform.html#pf_storage_entities", null ],
          [ "Example files", "platform.html#pf_storage_example_files", null ],
          [ "Modelling different situations", "platform.html#pf_storage_examples_modelling", null ]
        ] ]
      ] ],
      [ "Routing", "platform.html#pf_routing", [
        [ "Routing models", "platform.html#pf_rm", [
          [ "The router affair", "platform.html#pf_raf", null ],
          [ "Shortest-path based models", "platform.html#pf_routing_model_shortest_path", null ],
          [ "Manually-entered route models", "platform.html#pf_routing_model_manual", null ],
          [ "Simple/fast models", "platform.html#pf_routing_model_simple", null ]
        ] ],
        [ "Defining routes", "platform.html#ps_dec", [
          [ "<link_ctn/>", "platform.html#pf_linkctn", null ],
          [ "ASroute", "platform.html#pf_routing_tag_asroute", null ],
          [ "route", "platform.html#pf_routing_tag_route", null ],
          [ "bypassASroute", "platform.html#pf_routing_tag_bypassasroute", null ],
          [ "bypassRoute", "platform.html#pf_routing_tag_bypassroute", null ]
        ] ],
        [ "Basic Routing Example", "platform.html#pb_baroex", null ]
      ] ],
      [ "Tags not (directly) describing the platform", "platform.html#pf_other_tags", [
        [ "config", "platform.html#pf_config", null ],
        [ "include", "platform.html#pf_include", null ],
        [ "trace and trace_connect", "platform.html#pf_trace", null ]
      ] ],
      [ "Hints, tips and frequently requested features", "platform.html#pf_hints", [
        [ "the platform example that you need", "platform.html#Finding", null ],
        [ "AS Hierarchy", "platform.html#pf_as_h", null ],
        [ "Exit AS: why and how", "platform.html#pf_exit_as", null ],
        [ "P2P or how to use coordinates", "platform.html#pf_P2P_tags", null ],
        [ "Choosing wisely the routing model to use", "platform.html#pf_routing_howto_choose_wisely", null ],
        [ "I want to describe a switch but there is no switch tag!", "platform.html#pf_switch", null ],
        [ "I want to describe multi-cabinets clusters!", "platform.html#pf_multicabinets", null ],
        [ "I want to express multipath routing in platform files!", "platform.html#pf_platform_multipath", null ]
      ] ]
    ] ],
    [ "SimGrid Models", "models.html", null ],
    [ "Describing the platform with lua", "platform_lua.html", [
      [ "Why lua ?", "platform_lua.html#pf_lua_why", null ]
    ] ],
    [ "ns-3 as a SimGrid model", "pls_ns3.html", [
      [ "Installing ns-3", "pls_ns3.html#pls_ns3_install", null ],
      [ "Enabling SimGrid's support for ns-3", "pls_ns3.html#pls_ns3_config", null ],
      [ "Using ns-3 from SimGrid", "pls_ns3.html#pls_ns3_use", [
        [ "Examples", "pls_ns3.html#ns3_examples", null ]
      ] ]
    ] ],
    [ "Describing the experimental scenario", "scenario.html", null ],
    [ "Deploy the simulation", "deployment.html", null ],
    [ "Configure SimGrid", "options.html", [
      [ "Passing configuration options to the simulators", "options.html#options_using", null ],
      [ "Configuring the platform models", "options.html#options_model", [
        [ "Selecting the platform models", "options.html#options_model_select", null ],
        [ "Plugins", "options.html#options_generic_plugin", null ],
        [ "Optimization level of the platform models", "options.html#options_model_optim", null ],
        [ "Numerical precision of the platform models", "options.html#options_model_precision", null ],
        [ "Concurrency limit", "options.html#options_concurrency_limit", null ],
        [ "Configuring the Network model", "options.html#options_model_network", [
          [ "Maximal TCP window size", "options.html#options_model_network_gamma", null ],
          [ "Correcting important network parameters", "options.html#options_model_network_coefs", null ],
          [ "Simulating cross-traffic", "options.html#options_model_network_crosstraffic", null ],
          [ "Simulating sender gap", "options.html#options_model_network_sendergap", null ],
          [ "Simulating asyncronous send", "options.html#options_model_network_asyncsend", null ],
          [ "Configuring packet-level pseudo-models", "options.html#options_pls", null ]
        ] ],
        [ "Configuring the Storage model", "options.html#options_model_storage", [
          [ "Maximum amount of file descriptors per host", "options.html#option_model_storage_maxfd", null ]
        ] ]
      ] ],
      [ "Configuring the Model-Checking", "options.html#options_modelchecking", [
        [ "Specifying a liveness property", "options.html#options_modelchecking_liveness", null ],
        [ "Going for stateful verification", "options.html#options_modelchecking_steps", null ],
        [ "Specifying the kind of reduction", "options.html#options_modelchecking_reduction", null ],
        [ "model-check/visited, Cycle detection", "options.html#options_modelchecking_visited", null ],
        [ "model-check/termination, Non termination detection", "options.html#options_modelchecking_termination", null ],
        [ "model-check/dot-output, Dot output", "options.html#options_modelchecking_dot_output", null ],
        [ "model-check/max_depth, Depth limit", "options.html#options_modelchecking_max_depth", null ],
        [ "Handling of timeout", "options.html#options_modelchecking_timeout", null ],
        [ "Communication determinism", "options.html#options_modelchecking_comm_determinism", null ],
        [ "Per page checkpoints", "options.html#options_modelchecking_sparse_checkpoint", null ],
        [ "Performance considerations for the model checker", "options.html#options_mc_perf", null ],
        [ "Hashing of the state (experimental)", "options.html#options_modelchecking_hash", null ],
        [ "Record/replay (experimental)", "options.html#options_modelchecking_recordreplay", null ]
      ] ],
      [ "Configuring the User Process Virtualization", "options.html#options_virt", [
        [ "Selecting the virtualization factory", "options.html#options_virt_factory", null ],
        [ "Adapting the used stack size", "options.html#options_virt_stacksize", null ],
        [ "Running user code in parallel", "options.html#options_virt_parallel", null ]
      ] ],
      [ "Configuring the tracing subsystem", "options.html#options_tracing", null ],
      [ "Configuring MSG", "options.html#options_msg", [
        [ "Debugging MSG", "options.html#options_msg_debug_multiple_use", null ]
      ] ],
      [ "Configuring SMPI", "options.html#options_smpi", [
        [ "smpi/bench: Automatic benchmarking of SMPI code", "options.html#options_smpi_bench", null ],
        [ "smpi/comp-adjustment-file: Slow-down or speed-up parts of your code.", "options.html#options_model_smpi_adj_file", null ],
        [ "smpi/bw-factor: Bandwidth factors", "options.html#options_model_smpi_bw_factor", null ],
        [ "smpi/display-timing: Reporting simulation time", "options.html#options_smpi_timing", null ],
        [ "smpi/lat-factor: Latency factors", "options.html#options_model_smpi_lat_factor", null ],
        [ "smpi/papi-events: Trace hardware counters with PAPI", "options.html#options_smpi_papi_events", null ],
        [ "smpi/privatize-global-variables: Automatic privatization of global variables", "options.html#options_smpi_global", null ],
        [ "Simulating MPI detached send", "options.html#options_model_smpi_detached", null ],
        [ "Simulating MPI collective algorithms", "options.html#options_model_smpi_collectives", null ],
        [ "smpi/iprobe: Inject constant times for calls to MPI_Iprobe", "options.html#options_model_smpi_iprobe", null ],
        [ "smpi/init: Inject constant times for calls to MPI_Init", "options.html#options_model_smpi_init", null ],
        [ "smpi/ois: Inject constant times for asynchronous send operations", "options.html#options_model_smpi_ois", null ],
        [ "smpi/os: Inject constant times for send operations", "options.html#options_model_smpi_os", null ],
        [ "smpi/or: Inject constant times for receive operations", "options.html#options_model_smpi_or", null ],
        [ "smpi/test: Inject constant times for calls to MPI_Test", "options.html#options_model_smpi_test", null ],
        [ "smpi/use-shared-malloc: Factorize malloc()s", "options.html#options_model_smpi_use_shared_malloc", null ],
        [ "smpi/wtime: Inject constant times for calls to MPI_Wtime", "options.html#options_model_smpi_wtime", null ]
      ] ],
      [ "Configuring other aspects of SimGrid", "options.html#options_generic", [
        [ "Cleanup before termination", "options.html#options_generic_clean_atexit", null ],
        [ "XML file inclusion path", "options.html#options_generic_path", null ],
        [ "Behavior on Ctrl-C", "options.html#options_generic_exit", null ],
        [ "Truncate local path from exception backtrace", "options.html#options_exception_cutpath", null ]
      ] ],
      [ "Logging Configuration", "options.html#options_log", null ],
      [ "Performance optimizations", "options.html#options_perf", [
        [ "Context factory", "options.html#options_perf_context", null ],
        [ "Disabling stack guard pages", "options.html#options_perf_guard_size", null ]
      ] ],
      [ "Index of all existing configuration options", "options.html#options_index", [
        [ "Index of SMPI collective algorithms options", "options.html#options_index_smpi_coll", null ]
      ] ]
    ] ],
    [ "Simulation Outcomes", "outcomes.html", null ],
    [ "Simulation Logging", "outcomes_logs.html", [
      [ "Main Concepts", "outcomes_logs.html#log_overview", [
        [ "Logging categories", "outcomes_logs.html#log_cat", null ],
        [ "Logging priorities", "outcomes_logs.html#log_pri", null ],
        [ "Message appenders", "outcomes_logs.html#log_app", null ],
        [ "Message layouts", "outcomes_logs.html#log_lay", null ],
        [ "History of this module", "outcomes_logs.html#log_hist", null ]
      ] ],
      [ "C Programmer interface", "outcomes_logs.html#log_API", [
        [ "Constructing the category hierarchy", "outcomes_logs.html#log_API_cat", null ],
        [ "Declaring message priority", "outcomes_logs.html#log_API_pri", null ],
        [ "Checking if a particular category/priority is enabled", "outcomes_logs.html#log_API_isenabled", null ],
        [ "Using a default category (the easy interface)", "outcomes_logs.html#log_API_subcat", null ],
        [ "Putting all together: the easy interface", "outcomes_logs.html#log_API_easy", null ],
        [ "Example of use", "outcomes_logs.html#log_API_example", null ]
      ] ],
      [ "User interface", "outcomes_logs.html#log_user", [
        [ "Configuration", "outcomes_logs.html#log_use_conf", [
          [ "Threshold configuration", "outcomes_logs.html#log_use_conf_thres", null ],
          [ "Passing several settings", "outcomes_logs.html#log_use_conf_multi", null ],
          [ "Format configuration", "outcomes_logs.html#log_use_conf_fmt", null ],
          [ "Category appender", "outcomes_logs.html#log_use_conf_app", null ],
          [ "Category additivity", "outcomes_logs.html#log_use_conf_add", null ]
        ] ],
        [ "Misc and Caveats", "outcomes_logs.html#log_use_misc", null ]
      ] ],
      [ "Internal considerations", "outcomes_logs.html#log_internals", [
        [ "Performance", "outcomes_logs.html#log_in_perf", null ],
        [ "Appenders", "outcomes_logs.html#log_in_app", null ]
      ] ]
    ] ],
    [ "Visualization and Statistical Analysis", "outcomes_vizu.html", [
      [ "Tracing categories functions", "outcomes_vizu.html#instr_category_functions", null ],
      [ "Tracing marks functions", "outcomes_vizu.html#instr_mark_functions", null ],
      [ "Tracing user variables functions", "outcomes_vizu.html#instr_uservariables_functions", null ],
      [ "Tracing configuration Options", "outcomes_vizu.html#tracing_tracing_options", null ],
      [ "Case studies", "outcomes_vizu.html#tracing_tracing_example_parameters", null ],
      [ "Example of Instrumentation", "outcomes_vizu.html#tracing_tracing_example", null ],
      [ "Analyzing SimGrid Simulation Traces", "outcomes_vizu.html#tracing_tracing_analyzing", [
        [ "Viva Visualization Tool", "outcomes_vizu.html#tracing_viva_analysis", [
          [ "Time Slice", "outcomes_vizu.html#tracing_viva_time_slice", null ],
          [ "Hierarchical Graph View", "outcomes_vizu.html#tracing_viva_graph", null ],
          [ "Basic Graph Configuration", "outcomes_vizu.html#basic_conf", null ],
          [ "Customizing the Graph Representation", "outcomes_vizu.html#custom_graph", null ]
        ] ]
      ] ]
    ] ],
    [ "Model-Checking", "outcomes_MC.html", null ],
    [ "Use Cases and Howtos", "howto.html", [
      [ "How to model multicore machines", "howto.html#howto_multicore", [
        [ "Pinning tasks to cores", "howto.html#howto_multicore_pinning", null ]
      ] ],
      [ "Modeling machine bootup and shutdown periods", "howto.html#howto_bootenergy", null ]
    ] ],
    [ "SimGrid First Tutorial", "tutorial.html", [
      [ "Scenario", "tutorial.html#Scenario", null ],
      [ "Prerequisites", "tutorial.html#Prerequisites", null ],
      [ "Recommended Steps", "tutorial.html#intro_recommendation", null ],
      [ "Let's get started", "tutorial.html#intro_start", null ],
      [ "TODO: Points to improve for the next time", "tutorial.html#intro_todo", null ]
    ] ],
    [ "SimGrid Examples", "examples.html", [
      [ "Using MSG", "examples.html#using_msg", [
        [ "Basic examples and features", "examples.html#MSG_ex_basics", [
          [ "Basic Master/Workers", "examples.html#MSG_ex_master_worker", [
            [ "Table of contents:", "examples.html#MSG_ex_mw_TOC", null ],
            [ "Preliminary declarations", "examples.html#MSG_ext_mw_preliminary", null ],
            [ "Master code", "examples.html#MSG_ext_mw_master", null ],
            [ "Worker code", "examples.html#MSG_ext_mw_worker", null ],
            [ "Main function", "examples.html#MSG_ext_mw_core", null ],
            [ "Example of a platform file", "examples.html#MSG_ext_mw_platform", null ],
            [ "Example of a deployment file", "examples.html#MSG_ext_mw_application", null ]
          ] ],
          [ "Asynchronous communications", "examples.html#MSG_ex_asynchronous_communications", [
            [ "Code of the application", "examples.html#MSG_ext_async_code", null ],
            [ "Preliminary declarations", "examples.html#MSG_ext_async_preliminary", null ],
            [ "Sender function", "examples.html#MSG_ext_async_Sender", null ],
            [ "Receiver function", "examples.html#MSG_ext_async_Receiver", null ],
            [ "Main function", "examples.html#MSG_ext_async_Main", null ],
            [ "Waitall function", "examples.html#MSG_ext_async_fct_Waitall", null ],
            [ "Waitany function", "examples.html#MSG_ext_async_fct_Waitany", null ]
          ] ]
        ] ]
      ] ]
    ] ],
    [ "Under the Hood", "uhood.html", [
      [ "S4U", "uhood.html#simgrid_uhood_s4u", null ],
      [ "Asynchronous operations", "uhood.html#simgrid_uhood_async", [
        [ "Futures", "uhood.html#simgrid_uhood_futures", null ],
        [ "Timers", "uhood.html#simgrid_uhood_timer", null ]
      ] ],
      [ "Model Checker", "uhood.html#simgrid_uhood_mc", [
        [ "Address space", "uhood.html#simgrid_uhood_mc_address_space", null ],
        [ "ELF and DWARF", "uhood.html#simgrid_uhood_mc_address_elf_dwarf", null ]
      ] ]
    ] ],
    [ "Project Architecture Overview", "uhood_arch.html", [
      [ "Overview of the toolkit components", "uhood_arch.html#ug_overview", [
        [ "Programing environments layer", "uhood_arch.html#ug_overview_envs", null ],
        [ "Simulation kernel layer", "uhood_arch.html#ug_overview_kernel", null ],
        [ "Base layer", "uhood_arch.html#ug_overview_fundation", null ],
        [ "Tracing simulation", "uhood_arch.html#ug_lucas_layer", null ]
      ] ]
    ] ],
    [ "Process Synchronizations and Context Switching", "uhood_switch.html", [
      [ "SimGrid as an Operating System", "uhood_switch.html#uhood_switch_DES", null ],
      [ "Futures and Promises", "uhood_switch.html#uhood_switch_futures", [
        [ "What is a future?", "uhood_switch.html#uhood_switch_futures_what", null ],
        [ "Which future do we need?", "uhood_switch.html#uhood_switch_futures_needs", null ],
        [ "Implementing `Future` and `Promise`", "uhood_switch.html#uhood_switch_futures_implem", null ]
      ] ],
      [ "Implementing the simcalls", "uhood_switch.html#uhood_switch_simcalls", [
        [ "The historical way", "uhood_switch.html#uhood_switch_simcalls_v2", [
          [ "Blocking simcall", "uhood_switch.html#uhood_switch_v2_blocking", null ],
          [ "Asynchronous operations", "uhood_switch.html#uhood_switch_v2_async", null ]
        ] ]
      ] ]
    ] ],
    [ "Coding Standard and Technical Considerations", "uhood_tech.html", "uhood_tech" ],
    [ "The SimGrid Community", "community.html", [
      [ "Contacting the community", "community.html#community_contact", null ],
      [ "Giving back to SimGrid", "community.html#community_giveback", [
        [ "Spread the word", "community.html#contributing_spread", null ],
        [ "Reporting (and fixing) any issue you find", "community.html#contributing_bugs", null ]
      ] ],
      [ "Extending SimGrid and its Ecosystem", "community.html#community_extend", [
        [ "Contributing features and associated tools", "community.html#contributing_contrib", null ],
        [ "Possible Enhancements", "community.html#contributing_todo", [
          [ "Migration to C++", "community.html#contributing_todo_cxxification", null ],
          [ "SMPI", "community.html#contributing_todo_smpi", null ],
          [ "Model-checker", "community.html#contributing_todo_mc", null ]
        ] ]
      ] ]
    ] ],
    [ "Frequently Asked Questions", "FAQ.html", [
      [ "I'm new to SimGrid. I have some questions. Where should I start?", "FAQ.html#faq_simgrid", [
        [ "What is the difference between MSG and SimDag? Do they serve the same purpose?", "FAQ.html#faq_interfaces", null ],
        [ "Visualizing and analyzing the results", "FAQ.html#faq_visualization", null ],
        [ "Argh! Do I really have to code in C?", "FAQ.html#faq_C", null ]
      ] ],
      [ "Feature related questions", "FAQ.html#faq_howto", [
        [ "\"Could you please add (your favorite feature here) to SimGrid?\"", "FAQ.html#faq_MIA", null ],
        [ "MSG features", "FAQ.html#faq_MIA_MSG", [
          [ "I want some more complex MSG examples!", "FAQ.html#faq_MIA_examples", null ],
          [ "Missing in action: MSG Task duplication/replication", "FAQ.html#faq_MIA_taskdup", null ],
          [ "I want to do asynchronous communications in MSG", "FAQ.html#faq_MIA_asynchronous", null ],
          [ "How to synchronize my user processes?", "FAQ.html#faq_MIA_thread_synchronization", null ],
          [ "Where is the get_host_load function hidden in MSG?", "FAQ.html#faq_MIA_host_load", null ],
          [ "How can I get the *real* communication time?", "FAQ.html#faq_MIA_communication_time", null ]
        ] ],
        [ "SimDag related questions", "FAQ.html#faq_MIA_SimDag", [
          [ "Implementing communication delays between tasks.", "FAQ.html#faq_SG_comm", null ],
          [ "How to implement a distributed dynamic scheduler of DAGs.", "FAQ.html#faq_SG_DAG", null ]
        ] ],
        [ "Generic features", "FAQ.html#faq_MIA_generic", [
          [ "Is there a native support for batch schedulers in SimGrid?", "FAQ.html#faq_MIA_batch_scheduler", null ],
          [ "I need a checkpointing thing", "FAQ.html#faq_MIA_checkpointing", null ]
        ] ],
        [ "Platform building and Dynamic resources", "FAQ.html#faq_platform", [
          [ "Where can I find SimGrid platform files?", "FAQ.html#faq_platform_example", null ],
          [ "How can I automatically map an existing platform?", "FAQ.html#faq_platform_alnem", null ],
          [ "Generating synthetic but realistic platforms", "FAQ.html#faq_platform_synthetic", null ],
          [ "Using random variable for the resource power or availability", "FAQ.html#faq_platform_random", null ]
        ] ]
      ] ],
      [ "Troubleshooting", "FAQ.html#faq_troubleshooting", [
        [ "The feature X stopped to work after my last update", "FAQ.html#faq_trouble_changelog", null ],
        [ "SimGrid compilation and installation problems", "FAQ.html#faq_trouble_lib_compil", [
          [ "cmake fails!", "FAQ.html#faq_trouble_lib_config", null ],
          [ "Dude! \"ctest\" fails on my machine!", "FAQ.html#faq_trouble_distcheck", null ]
        ] ],
        [ "User code compilation problems", "FAQ.html#faq_trouble_compil", [
          [ "\"gcc: _simgrid_this_log_category_does_not_exist__??? undeclared (first use in this function)\"", "FAQ.html#faq_trouble_err_logcat", null ],
          [ "\"gcc: undefined reference to pthread_key_create\"", "FAQ.html#faq_trouble_pthreadstatic", null ]
        ] ],
        [ "Runtime error messages", "FAQ.html#faq_trouble_errors", [
          [ "I'm told that my XML files are too old.", "FAQ.html#faq_trouble_errors_big_fat_warning", null ]
        ] ],
        [ "Debugging SMPI applications", "FAQ.html#faq_trouble_debug", null ],
        [ "Valgrind-related and other debugger issues", "FAQ.html#faq_trouble_valgrind", [
          [ "Valgrind spits tons of errors about backtraces!", "FAQ.html#faq_trouble_vg_libc", null ],
          [ "Truncated backtraces", "FAQ.html#faq_trouble_backtraces", null ]
        ] ],
        [ "There is a deadlock in my code!!!", "FAQ.html#faq_deadlock", null ],
        [ "I get weird timings when I play with the latencies.", "FAQ.html#faq_surf_network_latency", null ],
        [ "So I've found a bug in SimGrid. How to report it?", "FAQ.html#faq_bugrepport", null ]
      ] ]
    ] ]
];